Bug 238574 - x11-themes/plata-theme: update to 0.8.6
Summary: x11-themes/plata-theme: update to 0.8.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL: https://gitlab.com/tista500/plata-the...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-15 08:20 UTC by Hiroki Tagato
Modified: 2019-06-30 20:07 UTC (History)
0 users

See Also:


Attachments
Patch (3.02 KB, patch)
2019-06-15 08:20 UTC, Hiroki Tagato
tagattie: maintainer-approval+
Details | Diff
Patch (0.8.4 -> 0.8.6) (3.50 KB, patch)
2019-06-25 05:09 UTC, Hiroki Tagato
tagattie: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hiroki Tagato 2019-06-15 08:20:28 UTC
Created attachment 205069 [details]
Patch

plata-theme has been updated to 0.8.5.

Upstream changes:
- Added RipplePointerLocation styling for 3.33/3.34 cycle (Gnome-Shell 3.32).
- Increased ripple's alpha value in RippleBox (Gnome-Shell 3.2x/3.32).
- Increased ripple's alpha value in RippleBox (Cinnamon).
- Added PieTimer styling for 3.33/3.34 cycle (Gnome-Shell 3.32).
- Tweaked Notification styling for cards contained in PopupMenu (Cinnamon).
- Added inline-mode GtkMenuBar styling for GtkPopover nodes (Gtk 4.0).

https://gitlab.com/tista500/plata-theme/-/tags/0.8.5

QA:
poudriere testport OK (releng/12.0 amd64)
Comment 1 Hiroki Tagato 2019-06-25 05:09:09 UTC
Created attachment 205320 [details]
Patch (0.8.4 -> 0.8.6)

plata-theme has been updated to 0.8.6.

Upstream changes:
- Revived Mate desktop support for 1.22 (and Marco >= 1.22.2).
- Updated GtkPopover styling again (Gtk 4.0).
- Added GtkMessageDialog header label styling (Gtk 4.0).
- Added GtkHeaderBar default-decoration's menubutton node styling for fallback-appmenu buttons (Gtk 4.0).

https://gitlab.com/tista500/plata-theme/-/tags/0.8.6

Port changes:
- Temporarily disable Mate option since it requires marco >=1.22.2, which is not yet available in the Ports tree.

QA:
poudriere testport OK (releng/12.0 amd64)
Comment 2 commit-hook freebsd_committer 2019-06-30 20:07:27 UTC
A commit references this bug:

Author: swills
Date: Sun Jun 30 20:06:48 UTC 2019
New revision: 505468
URL: https://svnweb.freebsd.org/changeset/ports/505468

Log:
  x11-themes/plata-theme: update to 0.8.6

  PR:		238574
  Submitted by:	Hiroki Tagato <tagattie@yandex.com> (maintainer)

Changes:
  head/x11-themes/plata-theme/Makefile
  head/x11-themes/plata-theme/distinfo
  head/x11-themes/plata-theme/pkg-plist
Comment 3 Steve Wills freebsd_committer 2019-06-30 20:07:52 UTC
Committed, thanks!